> ## Documentation Index
> Fetch the complete documentation index at: https://docs.frictio.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Playbook

> 指定したPlaybookの定義情報を取得します。
詳細取得はactiveの状態に関係なく、X-Workspace-Idのワークスペース内に存在するPlaybookを返します。




## OpenAPI

````yaml /openapi.yaml get /v1/playbooks/{playbookId}
openapi: 3.1.0
info:
  title: Frictio Public API
  version: 1.0.0-beta
servers:
  - url: https://public-api.frictio.ai
security:
  - ApiKeyAuth: []
paths:
  /v1/playbooks/{playbookId}:
    get:
      summary: Get Playbook
      description: |
        指定したPlaybookの定義情報を取得します。
        詳細取得はactiveの状態に関係なく、X-Workspace-Idのワークスペース内に存在するPlaybookを返します。
      operationId: getPlaybook
      parameters:
        - $ref: '#/components/parameters/workspaceId'
        - $ref: '#/components/parameters/playbookId'
      responses:
        '200':
          description: 成功
          content:
            application/json:
              schema:
                type: object
                required:
                  - data
                properties:
                  data:
                    $ref: '#/components/schemas/Playbook'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/PlaybookNotFound'
        '429':
          $ref: '#/components/responses/TooManyRequests'
components:
  parameters:
    workspaceId:
      name: X-Workspace-Id
      in: header
      required: true
      description: ワークスペースID
      schema:
        type: string
      example: e1f2a3b4-...
    playbookId:
      name: playbookId
      in: path
      required: true
      description: Playbook ID
      schema:
        type: string
      example: d4e5f6a7-...
  schemas:
    Playbook:
      allOf:
        - $ref: '#/components/schemas/PlaybookListItem'
        - type: object
          required:
            - talk_points
          properties:
            talk_points:
              type: array
              description: Talk Pointリスト。order昇順、id昇順で返却されます。
              items:
                $ref: '#/components/schemas/TalkPoint'
    PlaybookListItem:
      type: object
      description: |
        List Playbooksで返却されるPlaybookの各アイテム。
        Talk Point等の定義詳細はGet Playbookで取得してください。
      required:
        - id
        - name
        - active
        - updated_at
      properties:
        id:
          type: string
          description: Playbook ID
          example: d4e5f6a7-...
        name:
          type: string
          description: Playbook名
          example: 商談ヒアリング
        active:
          type: boolean
          description: Playbookの公開状態。trueは公開中、falseは下書き。
          example: true
        updated_at:
          type: string
          format: date-time
          description: 更新時間（UTC）
          example: '2026-04-01T12:34:56.000Z'
    TalkPoint:
      type: object
      description: Playbookに含まれるTalk Point定義
      required:
        - id
        - question
        - description
        - order
        - target
        - data_type
        - format_style
        - character_limit
      properties:
        id:
          type: string
          description: Talk Point ID
          example: f7a8b9c0-...
        question:
          type: string
          description: 取得・生成対象の質問
          example: 今回の課題は何ですか？
        description:
          type:
            - string
            - 'null'
          description: Talk Pointの補足説明
          example: 顧客が認識している業務課題を要約してください
        order:
          type: integer
          description: 表示順
          example: 1
        target:
          type: string
          description: |
            Talk Point の対象話者範囲。
            - `ALL`: すべての話者
            - `INTERNAL`: 自社メンバー
            - `EXTERNAL`: 自社メンバー以外
          enum:
            - ALL
            - INTERNAL
            - EXTERNAL
          example: ALL
        data_type:
          type:
            - string
            - 'null'
          description: |
            抽出結果の基本データ型。`format_style` から決まる保存値。保存値が未設定の場合は `null`。
            - `string`: 文字列
            - `number`: 数値
            - `boolean`: 真偽値
            - `date`: 日付
          enum:
            - string
            - number
            - boolean
            - date
            - null
          example: string
        format_style:
          type:
            - string
            - 'null'
          description: >
            抽出結果の出力形式。frictio-server の OutputFormatStyle と同じ保存値。保存値が未設定の場合は
            `null`。

            - `none`: 出力形式の指定なし

            - `single_word`: 1語

            - `multiple_words`: 複数語

            - `single_sentence`: 1文

            - `multiple_sentences`: 複数文

            - `bullet_points`: 箇条書き

            - `time`: 時刻

            - `duration`: 時間の長さ

            - `number`: 数値

            - `currency`: 金額

            - `date`: 日付

            - `boolean`: 真偽値
          enum:
            - none
            - single_word
            - multiple_words
            - single_sentence
            - multiple_sentences
            - bullet_points
            - time
            - duration
            - number
            - currency
            - date
            - boolean
            - null
          example: bullet_points
        character_limit:
          type:
            - integer
            - 'null'
          description: 文字数上限
          example: 300
    Error:
      type: object
      required:
        - statusCode
        - message
      properties:
        statusCode:
          type: integer
          description: HTTPステータスコード
          example: 404
        message:
          type: string
          description: エラーメッセージ
          example: Meeting not found
        error:
          type: string
          description: |
            エラー種別。メッセージ文字列付きで例外が生成された場合のみ含まれます。
          example: Not Found
  responses:
    Unauthorized:
      description: APIキーが無効、失効、期限切れ、または未指定です
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            statusCode: 401
            message: Invalid API key
            error: Unauthorized
    Forbidden:
      description: 権限エラー
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            statusCode: 403
            message: Forbidden
    PlaybookNotFound:
      description: Playbookが見つかりません
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            statusCode: 404
            message: Playbook not found
            error: Not Found
    TooManyRequests:
      description: レートリミット超過
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            statusCode: 429
            message: Too Many Requests
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key

````